<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<!-- https://bootsnipp.com/snippets/a35Pl -->
<head>
    <!--/*/ <th:block th:include="fragments/head :: head"/>  /*/-->
    <link rel="stylesheet" type="text/css" href="../static/assets/css/detail.css" th:href="@{/assets/css/detail.css}" />
    <script src="../assets/js/detail.js"></script>
</head>
<body>
<header>
    <div id="queryString" th:attr="data-query=${query}"></div>
</header>

<div class="container">
    <!-- Hotel-Row -->
    <div class="row">
        <div class="col-sm-12 hotel">
            <div class="container">
                <div class="row">
                    <div class="col-sm-auto">
                        <div class="hotel-image">
                            <!-- free to use image, source: https://images.pexels.com/photos/594077/pexels-photo-594077.jpeg -->
                            <img class="img-responsive img-thumbnail" src='assets/img/hotel-foto.jpeg' alt="hotel-image" />
                        </div>
                    </div>
                    <div class="col">
                        <h3 class="title" th:text="${hotel.getHotelName()}">Das coole Superhotel</h3>
                        <p class="description" th:text="${hotel.getHotelDescription()}">Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.</p>
                    </div>
                    <div class="col-sm-2">
                        <div class="stats-element">
                            <div >user rating</div>
                            <span class="stars" data-num-stars="5" th:attr="data-rating=${hotel.getUser_rating()}"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div th:if="${hotel.getAka()} != null">
                            <b>Also known as: </b>
                            <span th:text="${hotel.getAka()}">Supercooles Superhotel</span>
                        </div>
                        <div th:if="${hotel.getLocation()?.getCity()} != null">
                            <b>City: </b>
                            <span th:text="${hotel.getLocation()?.getCity()}">Qualitycity</span>
                        </div>
                        <div th:if="${hotel.getLocation()?.getProposed_city()} != null">
                            <b>City (detected by GeoText): </b>
                            <span th:text="${hotel.getLocation()?.getProposed_city()}">Qualitycity</span>
                        </div>
                        <div th:if="${hotel.getLocation()?.getRegion()} != null">
                            <b>Region: </b>
                            <span th:text="${hotel.getLocation()?.getRegion()}">Qualityland</span>
                        </div>
                        <div th:if="${hotel.getLocation()?.getProvince()} != null">
                            <b>Province: </b>
                            <span th:text="${hotel.getLocation()?.getProvince()}">Qualityland</span>
                        </div>
                        <div th:if="${hotel.getLocation()?.getCountry()} != null">
                            <b>Country: </b>
                            <span th:text="${hotel.getLocation()?.getCountry()}">Qualityland</span>
                        </div>
                        <div th:if="${hotel.getLocation()?.getContinent()} != null">
                            <b>Continent: </b>
                            <span th:text="${hotel.getLocation()?.getContinent()}">Qualitopia</span>
                        </div>
                        <div>
                            <b>Reviews: </b>
                            <span th:text="${hotel.getReview_count()}">123</span>
                        </div>
                        <div>
                            <b>Slim Ranking: </b>
                            <span th:text="${hotel.getSlim_ranking()}">0.543234</span>
                        </div>
                        <div>
                            <b>Hotel id: </b>
                            <span th:text="${hotel.getHotelId()}">000000</span>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="container">
                            <div class="row">
                                <div class="col-sm-3">
                                    <b>Excellent:</b>
                                </div>
                                <div class="col-sm-1">
                                    <span th:text="${hotel.getVariance()?.getExcellent()}">123</span>
                                </div>
                                <div class="col-sm-8">
                                    <div class="progress">
                                        <div class="progress-bar" role="progressbar"
                                             th:attr="valuenow=${hotel.getVariance()?.getExcellent() * 100 / hotel.getReview_count()}"
                                             aria-valuemin="0" aria-valuemax="100"  style="width:30%"
                                             th:style="'width:'+ ${hotel.getVariance()?.getExcellent() * 100 / hotel.getReview_count()} + '%'">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3">
                                    <b>Very&nbsp;Good:</b>
                                </div>
                                <div class="col-sm-1">
                                    <span th:text="${hotel.getVariance()?.getVeryGood()}">123</span>
                                </div>
                                <div class="col-sm-8">
                                    <div class="progress">
                                        <div class="progress-bar" role="progressbar"
                                             th:attr="valuenow=${hotel.getVariance()?.getVeryGood() * 100 / hotel.getReview_count()}"
                                             aria-valuemin="0" aria-valuemax="100"  style="width:30%"
                                             th:style="'width:'+ ${hotel.getVariance()?.getVeryGood() * 100 / hotel.getReview_count()} + '%'">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3">
                                    <b>Average:</b>
                                </div>
                                <div class="col-sm-1">
                                    <span th:text="${hotel.getVariance()?.getAverage()}">123</span>
                                </div>
                                <div class="col-sm-8">
                                    <div class="progress">
                                        <div class="progress-bar" role="progressbar"
                                             th:attr="valuenow=${hotel.getVariance()?.getAverage() * 100 / hotel.getReview_count()}"
                                             aria-valuemin="0" aria-valuemax="100"  style="width:30%"
                                             th:style="'width:'+ ${hotel.getVariance()?.getAverage() * 100 / hotel.getReview_count()} + '%'">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3">
                                    <b>Poor:</b>
                                </div>
                                <div class="col-sm-1">
                                    <span th:text="${hotel.getVariance()?.getPoor()}">123</span>
                                </div>
                                <div class="col-sm-8">
                                    <div class="progress">
                                        <div class="progress-bar" role="progressbar"
                                             th:attr="valuenow=${hotel.getVariance()?.getPoor() * 100 / hotel.getReview_count()}"
                                             aria-valuemin="0" aria-valuemax="100"  style="width:30%"
                                             th:style="'width:'+ ${hotel.getVariance()?.getPoor() * 100 / hotel.getReview_count()} + '%'">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3">
                                    <b>Terrible:</b>
                                </div>
                                <div class="col-sm-1">
                                    <span th:text="${hotel.getVariance()?.getTerrible()}">123</span>
                                </div>
                                <div class="col-sm-8">
                                    <div class="progress">
                                        <div class="progress-bar" role="progressbar"
                                             th:attr="valuenow=${hotel.getVariance()?.getTerrible() * 100 / hotel.getReview_count()}"
                                             aria-valuemin="0" aria-valuemax="100"  style="width:30%"
                                             th:style="'width:'+ ${hotel.getVariance()?.getTerrible() * 100 / hotel.getReview_count()} + '%'">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row stats" th:if="${hotel.getDetail_rating() != null}">
                    <div class="col-sm-2 stats-element">
                        <div >service</div>
                        <span class="stars" data-num-stars="5" th:attr="data-rating=${hotel.getDetail_rating()?.getService()}"></span>
                    </div>
                    <div class="col-sm-2 stats-element">
                        <div>cleanliness</div>
                        <span class="stars" data-num-stars="5" th:attr="data-rating=${hotel.getDetail_rating()?.getCleanliness()}"></span>
                    </div>
                    <div class="col-sm-2 stats-element">
                        <div>value</div>
                        <span class="stars" data-num-stars="5" th:attr="data-rating=${hotel.getDetail_rating()?.getValue()}"></span>
                    </div>
                    <div class="col-sm-2 stats-element">
                        <div>sleep</div>
                        <span class="stars" data-num-stars="5" th:attr="data-rating=${hotel.getDetail_rating()?.getSleep()}"></span>
                    </div>
                    <div class="col-sm-2 stats-element">
                        <div>rooms</div>
                        <span class="stars" data-num-stars="5" th:attr="data-rating=${hotel.getDetail_rating()?.getRooms()}"></span>
                    </div>
                    <div class="col-sm-2 stats-element">
                        <div>location</div>
                        <span class="stars" data-num-stars="5" th:attr="data-rating=${hotel.getDetail_rating()?.getLocation()}"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Review-Row -->
    <div class="row">
        <div class="col-sm-12 panel panel-white panel-shadow review" th:classappend="${review.isMatch() ? 'panel-match' : 'panel-white'}" th:each="review : ${hotel.getReviews()}">
            <div class="container">
                <div class="row">
                    <div class="col-sm-8">
                        <div class="pull-left image">
                            <!-- free image, but backlink required -->
                            <a class="avatar" href="http://www.iconarchive.com/show/vista-people-icons-by-icons-land/Office-Customer-Female-Light-icon.html">
                                <img class="img-responsive" src="/assets/img/avatar.png" alt="user profile image"/>
                            </a>
                        </div>
                        <div class="title">
                            <h5 th:text="${review.getTitle()}">So pleased with my experience! a realy long much too long realy realy too long title and even longer as much too long</h5>
                        </div>
                    </div>
                    <div class="col-sm-2 pull-right stats-element">
                        <div>review id</div>
                        <span th:text="${review.getId()}"></span>
                    </div>
                    <div class="col-sm-2 pull-right stats-element">
                        <div >total rating</div>
                        <span class="stars" data-num-stars="5" th:attr="data-rating=${review.getRating()}"></span>
                    </div>
                </div>
                <div class="row name-and-time">
                    <div class="col-sm-6 pull-left">
                        <h5 th:text="${review.getUser()}">Ryan Haywood</h5>
                    </div>
                    <div class="col-sm-6">
                        <h6 class="text-muted time pull-right" th:text="${review.getDate()}">August 29, 2013</h6>
                    </div>
                </div>
                <div class="row description">
                    <p th:utext="${review.getText()}">The room was very clean and beds were soft and nice. I met a employe named Luna that was very friendly and helpful. AC worked great in August and kept the room super chilled. I would recommend to others to book this hotel. Especially because of the service I got from Luna. Service goes a long way and always gets my return business if its good.</p>
                </div>
                <div class="row stats" th:if="${review.getDetail_rating() != null}">
                    <div class="col-sm-12">
                        <!-- row 1 stats -->
                        <div class="row">
                            <div class="col-sm-2 stats-element" th:each="instance : ${review.getDetail_rating().getDetailRatingMap()}">
                                <div th:text="${instance.key}"></div>
                                <span class="stars" data-num-stars="5" th:attr="data-rating=${instance.value}"></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!--/*/ <th:block th:include="fragments/footer :: footer"/>  /*/-->
</body>
</html>